| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | Protected Attributes | List of all members
AutoUnlocker Class Reference

provides a safe and exception-safe way to release and re-acquire locks in Qore, only to be used on the stack, cannot be dynamically allocated More...

`#include <QoreThreadLock.h>`

Collaboration diagram for AutoUnlocker:
[legend]

## Public Member Functions
DLLLOCAL | AutoUnlocker (QoreThreadLock *l)
| creates the object and releases the lock
DLLLOCAL | AutoUnlocker (QoreThreadLock &l)
| creates the object and releases the lock
DLLLOCAL | ~AutoUnlocker ()
| grabs the lock and destroys the object

## Protected Attributes
QoreThreadLock * | lck
| the pointer to the lock that will be managed

## Detailed Description

provides a safe and exception-safe way to release and re-acquire locks in Qore, only to be used on the stack, cannot be dynamically allocated

Ensures that locks are released when the object is created and re-acquired when the object is destroyed.

See also
  AutoLocker
  SafeLocker
  OptLocker

Since
  Qore 0.8.10

The documentation for this class was generated from the following file:

- include/qore/QoreThreadLock.h